Skip to main content
GET
/
v1
/
projects
/
{projectId}
/
alerts
cURL
curl -H "X-API-Key: $PARTICLE_API_KEY" \
  "https://api.particle.pro/v1/projects/{projectId}/alerts?limit=25"
{
  "data": [
    {
      "created_at": "2023-11-07T05:31:56Z",
      "delivery_cadence": "<string>",
      "entities": [
        {
          "entity_id": "<string>",
          "image_url": "<string>",
          "name": "<string>"
        }
      ],
      "id": "<string>",
      "is_active": true,
      "notifications": [
        {
          "type": "EMAIL",
          "email": "jsmith@example.com",
          "id": "<string>"
        }
      ],
      "project_id": "<string>",
      "title": "<string>",
      "updated_at": "2023-11-07T05:31:56Z",
      "created_by": {
        "id": "<string>",
        "name": "<string>"
      },
      "description": "<string>"
    }
  ],
  "has_more": true,
  "cursor": "<string>"
}

Authorizations

X-API-Key
string
header
required

Pass your API key in the X-API-Key header (recommended).

Path Parameters

projectId
string
required

Project ID.

Query Parameters

limit
integer<int64>
default:25

Results per page

Required range: 1 <= x <= 100
cursor
string

Opaque pagination cursor from previous response

Response

OK

data
object[] | null
required

List of results

has_more
boolean
required

Whether more results exist

cursor
string

Pass to next request for more results